<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class PaymentSettingController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */

    // Update Payments Setting
    public function index(Request $request)
    {
        // Paypal mode
        DB::table('config')->where('config_key', 'paypal_mode')->update([
            'config_value' => $request->paypal_mode,
        ]);

        DB::table('config')->where('config_key', 'paypal_client_id')->update([
            'config_value' => $request->paypal_client_key,
        ]);

        DB::table('config')->where('config_key', 'paypal_secret')->update([
            'config_value' => $request->paypal_secret,
        ]);

        // Razorpay
        DB::table('config')->where('config_key', 'razorpay_key')->update([
            'config_value' => $request->razorpay_client_key,
        ]);

        DB::table('config')->where('config_key', 'razorpay_secret')->update([
            'config_value' => $request->razorpay_secret,
        ]);

        // Phonepe
        DB::table('config')->where('config_key', 'merchantId')->update([
            'config_value' => $request->merchantId,
        ]);

        DB::table('config')->where('config_key', 'saltKey')->update([
            'config_value' => $request->saltKey,
        ]);

        // Stripe
        DB::table('config')->where('config_key', 'stripe_publishable_key')->update([
            'config_value' => $request->stripe_publishable_key,
        ]);

        DB::table('config')->where('config_key', 'stripe_secret')->update([
            'config_value' => $request->stripe_secret,
        ]);

        // Paystack
        DB::table('config')->where('config_key', 'paystack_public_key')->update([
            'config_value' => $request->paystack_public_key,
        ]);

        DB::table('config')->where('config_key', 'paystack_secret_key')->update([
            'config_value' => $request->paystack_secret,
        ]);

        DB::table('config')->where('config_key', 'merchant_email')->update([
            'config_value' => $request->merchant_email,
        ]);

        // Mollie
        DB::table('config')->where('config_key', 'mollie_key')->update([
            'config_value' => $request->mollie_key,
        ]);

        // Bank transfer
        DB::table('config')->where('config_key', 'bank_transfer')->update([
            'config_value' => $request->bank_transfer,
        ]);

        // Page redirect
        return redirect()->route('admin.settings')->with('success', trans('Payment Settings Updated Successfully!'));
    }
}
